Billing
Post apiv2organizations billingcheckout
POST
/
api
/
v2
/
organizations
/
{orgId}
/
billing
/
checkout
cURL
curl --request POST \
--url https://api.example.com/api/v2/organizations/{orgId}/billing/checkout \
--header 'Content-Type: application/json' \
--data '
{
"product": "<string>",
"redirectTo": "<string>",
"failureRedirectTo": "<string>",
"quantityAddons": [],
"oneTimeAddons": [],
"useYearly": false,
"trialDays": 0,
"customerEmail": "jsmith@example.com"
}
'import requests
url = "https://api.example.com/api/v2/organizations/{orgId}/billing/checkout"
payload = {
"product": "<string>",
"redirectTo": "<string>",
"failureRedirectTo": "<string>",
"quantityAddons": [],
"oneTimeAddons": [],
"useYearly": False,
"trialDays": 0,
"customerEmail": "jsmith@example.com"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
product: '<string>',
redirectTo: '<string>',
failureRedirectTo: '<string>',
quantityAddons: [],
oneTimeAddons: [],
useYearly: false,
trialDays: 0,
customerEmail: 'jsmith@example.com'
})
};
fetch('https://api.example.com/api/v2/organizations/{orgId}/billing/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v2/organizations/{orgId}/billing/checkout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'product' => '<string>',
'redirectTo' => '<string>',
'failureRedirectTo' => '<string>',
'quantityAddons' => [
],
'oneTimeAddons' => [
],
'useYearly' => false,
'trialDays' => 0,
'customerEmail' => 'jsmith@example.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v2/organizations/{orgId}/billing/checkout"
payload := strings.NewReader("{\n \"product\": \"<string>\",\n \"redirectTo\": \"<string>\",\n \"failureRedirectTo\": \"<string>\",\n \"quantityAddons\": [],\n \"oneTimeAddons\": [],\n \"useYearly\": false,\n \"trialDays\": 0,\n \"customerEmail\": \"jsmith@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v2/organizations/{orgId}/billing/checkout")
.header("Content-Type", "application/json")
.body("{\n \"product\": \"<string>\",\n \"redirectTo\": \"<string>\",\n \"failureRedirectTo\": \"<string>\",\n \"quantityAddons\": [],\n \"oneTimeAddons\": [],\n \"useYearly\": false,\n \"trialDays\": 0,\n \"customerEmail\": \"jsmith@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v2/organizations/{orgId}/billing/checkout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"product\": \"<string>\",\n \"redirectTo\": \"<string>\",\n \"failureRedirectTo\": \"<string>\",\n \"quantityAddons\": [],\n \"oneTimeAddons\": [],\n \"useYearly\": false,\n \"trialDays\": 0,\n \"customerEmail\": \"jsmith@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"url": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Path Parameters
Body
application/json
Response
A Stripe Checkout session for the chosen plan
⌘I
cURL
curl --request POST \
--url https://api.example.com/api/v2/organizations/{orgId}/billing/checkout \
--header 'Content-Type: application/json' \
--data '
{
"product": "<string>",
"redirectTo": "<string>",
"failureRedirectTo": "<string>",
"quantityAddons": [],
"oneTimeAddons": [],
"useYearly": false,
"trialDays": 0,
"customerEmail": "jsmith@example.com"
}
'import requests
url = "https://api.example.com/api/v2/organizations/{orgId}/billing/checkout"
payload = {
"product": "<string>",
"redirectTo": "<string>",
"failureRedirectTo": "<string>",
"quantityAddons": [],
"oneTimeAddons": [],
"useYearly": False,
"trialDays": 0,
"customerEmail": "jsmith@example.com"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
product: '<string>',
redirectTo: '<string>',
failureRedirectTo: '<string>',
quantityAddons: [],
oneTimeAddons: [],
useYearly: false,
trialDays: 0,
customerEmail: 'jsmith@example.com'
})
};
fetch('https://api.example.com/api/v2/organizations/{orgId}/billing/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v2/organizations/{orgId}/billing/checkout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'product' => '<string>',
'redirectTo' => '<string>',
'failureRedirectTo' => '<string>',
'quantityAddons' => [
],
'oneTimeAddons' => [
],
'useYearly' => false,
'trialDays' => 0,
'customerEmail' => 'jsmith@example.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v2/organizations/{orgId}/billing/checkout"
payload := strings.NewReader("{\n \"product\": \"<string>\",\n \"redirectTo\": \"<string>\",\n \"failureRedirectTo\": \"<string>\",\n \"quantityAddons\": [],\n \"oneTimeAddons\": [],\n \"useYearly\": false,\n \"trialDays\": 0,\n \"customerEmail\": \"jsmith@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v2/organizations/{orgId}/billing/checkout")
.header("Content-Type", "application/json")
.body("{\n \"product\": \"<string>\",\n \"redirectTo\": \"<string>\",\n \"failureRedirectTo\": \"<string>\",\n \"quantityAddons\": [],\n \"oneTimeAddons\": [],\n \"useYearly\": false,\n \"trialDays\": 0,\n \"customerEmail\": \"jsmith@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v2/organizations/{orgId}/billing/checkout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"product\": \"<string>\",\n \"redirectTo\": \"<string>\",\n \"failureRedirectTo\": \"<string>\",\n \"quantityAddons\": [],\n \"oneTimeAddons\": [],\n \"useYearly\": false,\n \"trialDays\": 0,\n \"customerEmail\": \"jsmith@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"url": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}